Bug 8895 - Document policy for First Public Working Drafts
Summary: Document policy for First Public Working Drafts
Alias: None
Product: HTML WG
Classification: Unclassified
Component: working group Decision Policy (show other bugs)
Version: unspecified
Hardware: PC All
: P2 normal
Target Milestone: ---
Assignee: This bug has no owner yet - up for the taking
QA Contact: HTML WG Bugzilla archive list
Depends on:
Reported: 2010-02-07 06:28 UTC by Maciej Stachowiak
Modified: 2013-01-22 20:47 UTC (History)
7 users (show)

See Also:


Note You need to log in before you can comment on or make changes to this bug.
Description Maciej Stachowiak 2010-02-07 06:28:19 UTC
Larry Masinter wrote:

"If a bug resolution results in the document being split, we seem to be doing a CfC for publishing the split parts as FPWD. "

I replied:

"Clarification: Publication of a new FPWD is a separate process from the Decision Policy. Anyone can bring forward a draft at any time, and whether it was produced as the result of a bug resolution is irrelevant. The existence of a bug does not remove the need for the standard Call for Consensus that we do in such cases.

Possible Policy Update: The Chairs believe that we should write a separate document on the policy for publishing new documents as a First Public Working Draft. We believe the requirements for a new publication should be fairly minimal, but at the same time we feel it is only fair that the requirements should be documented. This will likely be a separate document from the current Decision Policy, but it may end up a new section in the current policy."

We should definitely document the FPWD requirements somewhere.
Comment 1 Maciej Stachowiak 2010-02-07 06:31:10 UTC
Larry also wrote:

"After CfC for FPWD, it isn't clear what happens if there isn't consensus."

And I replied:

"Clarification: The general expectations are documented in the W3C Process Document here: <http://www.w3.org/2005/10/Process-20051014/tr.html#first-wd>. In particular, "Consensus is not a prerequisite for approval to publish; the Working Group may request publication of a Working Draft even if it is unstable and does not meet all Working Group requirements." Thus, consensus is not required and it is possible to proceed notwithstanding lack of consensus. But it is also likely that the Chairs will seek to have objections addressed if there is an obvious practical path to doing so.

Possible Policy Update: We'll probably say something more specific when documenting the procedure for FPWD."
Comment 2 Larry Masinter 2010-03-03 15:59:16 UTC
All of the special HTML-WG-only processes should be described in a single document; if there are separate sections for the decision policy for working group comments, accepting an editor's draft (three submitters?), publishing documents as FPWD after split (?) , and responding to other working groups, that's fine, but having them together so that participants can actually understand what the actual practices are would seem to be a fundamental requirement for "transparency": that everyone who might engage in a process (or even just be called on to review the results of a process) actually knows what the rules are and have been -- not just those who have been following for years.

Comment 3 Maciej Stachowiak 2010-05-04 16:55:52 UTC
Strawman resolution: Because FWPD proposals don't happen often and we don't expect too many more, the Chairs do not expect to document this process in the upcoming revision of the Decision Policy. We do expect to document it separately at a later time, if needed.
Comment 4 Maciej Stachowiak 2010-07-28 01:39:11 UTC
Reopening; this bug was marked resolved inadvertantly.
Comment 5 Maciej Stachowiak 2011-05-30 21:54:33 UTC
Per comment #3, I propose we mark this RESOLVED LATER.
Comment 6 Maciej Stachowiak 2011-06-19 22:31:20 UTC
The Chairs agreed to mark this RESOLVED LATER.
Comment 7 Sam Ruby 2013-01-22 20:47:17 UTC
Reopening as we have our first FPWD draft request that is generating objections:


Given that we have established that a preference poll can be used to terminate work on a draft and publishing the result as a Note, perhaps we should consider employing a similar process for establishing support for a FPWD over which there isn't absolute consensus?